Wallet
Withdraw from wallet
POST
/api/v1/wallet/payoutSecond step — submits the OTP code and requests a payout of the given amount to the seller's configured payout number, via MbiyoPay.
Requires Authorization
SELLER only
Payout confirm
Body parameters
currencystringrequired | Must have a sufficient available balance. |
amountnumberrequired | Must meet the currency's configured minimum payout amount. |
otpCodestringrequired | From POST /payout/otp. |
Possible errors
| 409 | CONFLICT | Solde disponible insuffisant pour ce retrait. |
Request
curl --request POST \
--url https://api.swiftgoma.com/api/v1/wallet/payout \
--header 'Authorization: Bearer <access_token>' \
--header 'Content-Type: application/json' \
--data '{
"currency": "<currency>",
"amount": "<amount>",
"otpCode": "<otpCode>"
}'201Example response
{
"success": true,
"data": {
"id": "wtx_1a2b3c",
"sellerProfileId": "sp_2b3c4d",
"type": "PAYOUT",
"amount": "-100.00",
"currency": "USD",
"orderId": "ord_5e6f7a",
"createdAt": "2026-02-15T11:00:00.000Z"
}
}